ONVIF::Device::Types::PTZPresetTourSpotOptions(3pm)

NAME
ONVIF::Device::Types::PTZPresetTourSpotOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPresetTourSpotOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PresetDetail

•   StayTime

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::PTZPresetTourSpotOptions
   PresetDetail =>  { # ONVIF::Device::Types::PTZPresetTourPresetDetailOptions
     PresetToken => $some_value, # ReferenceToken
     Home =>  $some_value, # boolean
     PanTiltPositionSpace =>  { # ONVIF::Device::Types::Space2DDescription
       URI =>  $some_value, # anyURI
       XRange =>  { # ONVIF::Device::Types::FloatRange
         Min =>  $some_value, # float
         Max =>  $some_value, # float
       },
       YRange =>  { # ONVIF::Device::Types::FloatRange
         Min =>  $some_value, # float
         Max =>  $some_value, # float
       },
     },
     ZoomPositionSpace =>  { # ONVIF::Device::Types::Space1DDescription
       URI =>  $some_value, # anyURI
       XRange =>  { # ONVIF::Device::Types::FloatRange
         Min =>  $some_value, # float
         Max =>  $some_value, # float
       },
     },
     Extension =>  { # ONVIF::Device::Types::PTZPresetTourPresetDetailOptionsExtension
     },
   },
   StayTime =>  { # ONVIF::Device::Types::DurationRange
     Min =>  $some_value, # duration
     Max =>  $some_value, # duration
   },
 },

AUTHOR
Generated by SOAP::WSDL